<template>
<div class="floatPanel frontMap basemapLayer">
  <div  v-for="item in basemapLayers" :key="item.id" class="basemapLayerItem">{{item.text}}</div>
</div>
</template>

<script>
export default {
  name: 'BaseMapController',
  mixins: [],
  components: [],
  data() {
    return {
      basemapLayers: [
        {
          id: 1,
          colorImgUrl: '',
          bwImgUrl: '',
          text: '1',
          layerId: ''
        },
        {
          id: 2,
          colorImgUrl: '',
          bwImgUrl: '',
          text: '2',
          layerId: ''
        },
        {
          id: 3,
          colorImgUrl: '',
          bwImgUrl: '',
          text: '3',
          layerId: ''
        }
      ]
    }
  },
  props: {
    /**
     * 图层控制展开方向
     */
    direction: {
      type: String,
      custom: true,
      default: () => 'top'
    },
    /**
     * 贴边的距离
     */
    padding: {
      type: [Number, String],
      custom: true,
      default: () => '5'
    },
    /**
     * 按钮尺寸
     */
    size: {
      type: [Number, Array],
      custom: true,
      default: () => [50, 50]
    },
    cls: {
      type: String,
      custom: true,
      default: () => this + 'basemap-controller'
    },
    /**
     * The bounds of the map, supports .sync modifier
     */
    layers: {
      type: Array,
      custom: true,
      default: null
    }
  }
}
</script>

<style scoped lang="less">
  .frontMap{
    z-index: 1000;
  }
  .floatPanel{
    position: absolute;
    top: 5px;
    left: 5px;
    width: 94px;
    height: 32px;
  }
  .basemapLayer{
    border: lightgray 1px solid;
  }
  .basemapLayerItem{
    width: 26px;
    height: 26px;
    margin: 2px;

    float: left;
    background-color: white;
  }
</style>
